﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace _435905DesktopAlertThread
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();
        }

        private void CreateAndShowAlert(string caption, string text)
        {
            RadDesktopAlert desktopAlert = new Telerik.WinControls.UI.RadDesktopAlert();
            desktopAlert.CaptionText = caption;
            desktopAlert.ContentText = text;
            desktopAlert.Show();
        }
 
        void bw_DoWork(object sender, DoWorkEventArgs e)
        {
            int i = 0;
            while (true)
            {
                Thread.Sleep(1000);
                i++;
                MethodInvoker mi = new MethodInvoker(delegate() { this.CreateAndShowAlert("Alert " + i, "This is the " + i + "th alert"); });
                this.Invoke(mi);
            }
        }

        private void RadForm1_Load(object sender, EventArgs e)
        {
            BackgroundWorker bw = new BackgroundWorker();
            bw.DoWork += new DoWorkEventHandler(bw_DoWork);
            bw.RunWorkerAsync();
        }
    }
}